# Conditional for release and snapshot builds. Uncomment for release-builds.
%global rel_build 1

# This is needed, because src-url contains branched part of versioning-scheme.
%global branch 3.22

%global rel_ver 3.22.19

# Settings used for build from snapshots.
%{!?rel_build:%global commit c204aa97d15053c51d6a3e7500aa1bfcc4bb1e88}
%{!?rel_build:%global commit_date 20150915}
%{!?rel_build:%global shortcommit %(c=%{commit};echo ${c:0:7})}
%{!?rel_build:%global git_ver git%{commit_date}-%{shortcommit}}
%{!?rel_build:%global git_rel .git%{commit_date}.%{shortcommit}}
%{!?rel_build:%global git_tar %{name}-%{version}-%{git_ver}.tar.xz}

Name:           mate-themes
Version:        %{rel_ver}
%if 0%{?rel_build}
Release:        2%{?dist}
%else
Release:        0.3%{?git_rel}%{?dist}
%endif
Summary:        MATE Desktop themes
License:        GPLv2+
URL:            http://mate-desktop.org
BuildArch:      noarch

# for downloading the tarball use 'spectool -g -R mate-themes.spec'
# Source for release-builds.
%{?rel_build:Source0:     http://pub.mate-desktop.org/releases/%{branch}/%{name}-%{version}.tar.xz}
# Source for snapshot-builds.
%{!?rel_build:Source0:    http://git.mate-desktop.org/%{name}/snapshot/%{name}-%{commit}.tar.xz#/%{git_tar}}

Patch1:         mate-themes_0001-Rename-gnome-power-manager.png-to-mate-power-manager.patch
Patch2:         mate-themes_0003-menta-GtkSwich-disable-on-off-characters.patch
Patch3:         mate-themes_0004-Menta-improve-metacity-theme-3.patch
Patch4:         mate-themes_0005-Menta-improve-GtkSwitch.patch
Patch5:         mate-themes_0006-Menta-metacity-3-rounded-corners-for-modal-dialogs.patch

BuildRequires:  mate-common
BuildRequires:  gtk2-devel
BuildRequires:  gdk-pixbuf2-devel

Requires:       mate-icon-theme
Requires:       gtk2-engines
Requires:       gtk-murrine-engine

%description
MATE Desktop themes


%prep
%if 0%{?rel_build}
%autosetup -p1
%else
%autosetup -n %{name}-%{commit} -p1
%endif

%if 0%{?rel_build}
#NOCONFIGURE=1 ./autogen.sh
%else # 0%{?rel_build}
# needed for git snapshots
NOCONFIGURE=1 ./autogen.sh
%endif # 0%{?rel_build}

# patch1
mv icon-themes/ContrastHigh/16x16/apps/gnome-power-manager.png \
icon-themes/ContrastHigh/16x16/apps/mate-power-manager.png
mv icon-themes/ContrastHigh/22x22/apps/gnome-power-manager.png \
icon-themes/ContrastHigh/22x22/apps/mate-power-manager.png
mv icon-themes/ContrastHigh/24x24/apps/gnome-power-manager.png \
icon-themes/ContrastHigh/24x24/apps/mate-power-manager.png
mv icon-themes/ContrastHigh/256x256/apps/gnome-power-manager.png \
icon-themes/ContrastHigh/256x256/apps/mate-power-manager.png
mv icon-themes/ContrastHigh/32x32/apps/gnome-power-manager.png \
icon-themes/ContrastHigh/32x32/apps/mate-power-manager.png
mv icon-themes/ContrastHigh/48x48/apps/gnome-power-manager.png \
icon-themes/ContrastHigh/48x48/apps/mate-power-manager.png

NOCONFIGURE=1 ./autogen.sh

%build
%configure

make %{?_smp_mflags} V=1

%install
%{make_install}

find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'


%post
for icon_theme in \
  ContrastHigh;
do
  /bin/touch --no-create %{_datadir}/icons/${icon_theme} &> /dev/null || :
done

%postun
if [ $1 -eq 0 ]; then
for icon_theme in \
  ContrastHigh;
do
  /bin/touch --no-create %{_datadir}/icons/${icon_theme} &> /dev/null || :
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/${icon_theme} &> /dev/null || :
done
fi

%posttrans
for icon_theme in \
  ContrastHigh;
do
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/${icon_theme} &> /dev/null || :
done


%files
%doc AUTHORS COPYING README ChangeLog
%{_datadir}/themes/BlackMATE/
%{_datadir}/themes/BlueMenta/
%{_datadir}/themes/Blue-Submarine/
%{_datadir}/themes/ContrastHigh/
%{_datadir}/themes/GreenLaguna/
%{_datadir}/themes/Green-Submarine/
%{_datadir}/themes/HighContrast/metacity-1/metacity-theme-1.xml
%{_datadir}/themes/HighContrastInverse/
%{_datadir}/themes/Menta/
%{_datadir}/themes/TraditionalOk/
%{_datadir}/themes/TraditionalGreen/
%{_datadir}/themes/Shiny/
%{_datadir}/icons/ContrastHigh/
%{_datadir}/icons/mate/cursors/
%{_datadir}/icons/mate-black/


%changelog
* Mon Apr 08 2019 Wolfgang Ulbrich <fedora@raveit.de> - 3.22.19-2
- add some upstream patches
- improvements for using metacity-theme-3 with Menta themes
- highcontrast icon-theme improvement

* Mon Mar 11 2019 Wolfgang Ulbrich <fedora@raveit.de> - 3.22.19-1
- update to  3.22.19

* Wed Aug 08 2018 Wolfgang Ulbrich <fedora@raveit.de> - 3.22.18-1
- update to 3.22.18

* Sun Jun 03 2018 Wolfgang Ulbrich <fedora@raveit.de> - 3.22.17-1
- update to 3.22.17 release

* Fri Mar 30 2018 Wolfgang Ulbrich <fedora@raveit.de> - 3.22.16-1
- update to 3.22.16 release

* Sun Feb 11 2018 Wolfgang Ulbrich <fedora@raveit.de> - 3.22.15-1
- update to 3.22.15 release
- switch to autosetup

* Wed Oct 11 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.22.14.2
- add some upstream patches

* Thu Sep 21 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.22.14.1
- update to 3.22.14

* Thu Jul 13 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.22.13.1
- update to 3.22.13 for gtk+-3.22 from rhel7.4

* Thu Jul 13 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.14.7.1
- update to 3.14.7

* Thu Mar 30 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.14.6.1
- update to 3.14.6

* Fri Jan 06 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.14.5-1
- update 3.14.5 release

* Sat Jul 02 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.14.4-1
- update to 3.14.4 release

* Sat Jul 02 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.14.3-1
- update to 3.14.3 release

* Thu Jun 16 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.14.2-3
- increase border size of Menta themes

* Mon Jun 13 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.14.2-2
- adjust buttons in metacity theme of menta themes

* Mon Jun 06 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.14.2-1
- update to 3.14.2 release

* Tue Apr 12 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.14.1-1
- update to 3.14.1 release

* Sun Feb 07 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.14.0-1
- update to 3.14.0 release

* Sun Feb 07 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.14.0-1
- update to 3.14.0 release

* Sat Jan 02 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.12.2-1
- update to 1.12.2 release

* Sun Nov 22 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.12.0-1
- update to 1.12.0 release

* Thu Aug 20 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.2-1
- update to 1.10.2 release

* Wed Jul 08 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.1-1
- update to 1.10.1 release
- build submarine themes

* Tue May 05 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.0-1
- update to 1.10.0 release

* Tue Apr 28 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.0-0.2.git20150427.529db2c
- update to git snapshot from 2015-04-27
- remove require gtk-unico-engine
- remove shiny gtk theme

* Sun Mar 22 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.10.0-0.1.git20150322.54e403b
- update to git snapshoot from 2015-03-22

* Sat Jan 10 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.3-1
- update to 1.9.3 release
- TraditionalOKTest is installable with normal configure flags
- add transition effect to buttons and menuitems for Menta themes GTK3
- add transition effect to buttons and menuitems for BlackMate and GreenLaguna GTK3
- Menta + Traditional themes GTK2: prelight wnckpager applet

* Wed Dec 31 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.3-0.1.git20141226.625b0d6
- update to latest git snapshot from 2014.12.26

* Thu Nov 20 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.2-1
- update to 1.9.2 release

* Mon Nov 17 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.2-0.2.git20141117.9b7d8c3
- update to latest git snapshot from 2014-11-17
- fix menus in ContrastHigh GTK3
- disable fog icon theme, faience-icon-theme is in epel7 now

* Sun Nov 16 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.2-0.1.git20141115.f88336e
- update to latest git snapshot from 2014-11-15
- build fog icon theme, needed for mate-themes-extras
- re-work of contrasthigh icon theme
- drop low contrast themes
- ContrastHighInverse: add gtk3 part
- a lot of improvements for all other themes

* Tue Oct 21 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.9.1-1
- update to 1.9.1 release for GTK3-3.8
- fix contrasthigh icon theme name
- remove all themes which doesn't support GTK3

* Fri Oct 17 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.8.0-1
- update to GTK3 3.8.0 release
- drop adwaita engine require
- drop old themes
- disable runtime require gtk-unico-engine for the moment, see rhbz (#1154061)

* Wed Mar 05 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.1-0.1.git20140304.5a900e
- update to git snapshot from 2014.03.04
- add better git snapshot usage
- BlackMATE, GreenLaguna, Menta and BlueMenta supports now GTk3-3.10
- Good bye adwaita engine warning

* Wed Mar 05 2014 Dan Mashal <dan.mashal@fedoraproject.org> - 1.8.0-1
- Update to 1.8.0

* Wed Feb 19 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.90-1
- update to 1.7.90

* Sat Jan 18 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.2-1
- update to 1.7.2
- use modern 'make install' macro
- add --with-gnome --all-name for find language

* Sun Nov 24 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.2-0.2.git27da094
- update to latest git snapshot
- rename Menta-Blue to BlueMenta
- update BlackMATE to GTK3-3.8

* Thu Nov 14 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.2-0.1.git8a12f75
- update to latest snapshot
- new theme Menta-Blue
- syncronize view of panel menus

* Sat Oct 26 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.1-1
- update to 1.7.1 release for fedora > f19
- Menta theme is updated to GTK3-3.10

* Thu Aug 15 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.2-0.2.git3fc43dd
- update GreenLaguna theme to GTK3-8

* Sun Aug 04 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.2-0.1.git15baae1
- fix usage of cursor theme slider
- fix panel-applets menu selected bg by BlackMATE theme

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 17 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-2
- fix GTK3 GreenLaguna menu background
- add runtime require adwaita-gtk3-theme

* Fri Jun 07 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-1
- Update to latest 1.6.1 stable release
- removal of aldabra theme, fix #907565

* Wed Apr 03 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.0-1
- Update to latest 1.6.0 stable release.

* Tue Mar 26 2013 Dan Mashal <dan.mashal@fedoraproject.org> 1.5.1-1
- Update to latest upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 08 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-1
- update to 1.5.0 release

* Sat Oct 20 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-7
- add requires gtk2-engines and mate-icon-theme 

* Tue Oct 16 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-6
- fix mistake in scriptlets from last commit

* Tue Oct 16 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-5
- Fix scriplets
- add requires gtk-murrine-engine

* Sun Oct 14 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-4
- Update BR and add test themes

* Wed Oct 03 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-3
- Fix missing icon scriptlets

* Sun Sep 30 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-2
- Update br and post scriptlets as per package review

* Tue Sep 25 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial build
